# uv pip install maturin

try {
    maturin --help > $null
} catch {
    Write-Error "Failed to run maturin --help: $_"
    exit 1
}

# copy ./src/msyrs.pyi to ./msyrs.pyi
Copy-Item -Path ./src/msyrs.pyi -Destination ./msyrs.pyi 

maturin develop --release

# delete the pyi file
Remove-Item -Path ./msyrs.pyi